[pkg-kde-commits] rev 2898 - in trunk/packages/qt-x11-free/debian: . patches

Christopher Martin chrsmrtn at costa.debian.org
Mon Jan 16 00:17:07 UTC 2006


Author: chrsmrtn
Date: 2006-01-16 00:17:02 +0000 (Mon, 16 Jan 2006)
New Revision: 2898

Added:
   trunk/packages/qt-x11-free/debian/patches/17_qlistview_crash_iterator.dpatch
Modified:
   trunk/packages/qt-x11-free/debian/changelog
   trunk/packages/qt-x11-free/debian/patches/00list
Log:
Patch merge, see changelog.


Modified: trunk/packages/qt-x11-free/debian/changelog
===================================================================
--- trunk/packages/qt-x11-free/debian/changelog	2006-01-15 23:56:01 UTC (rev 2897)
+++ trunk/packages/qt-x11-free/debian/changelog	2006-01-16 00:17:02 UTC (rev 2898)
@@ -4,6 +4,9 @@
 
   * Change build-depends from libmysqlclient12-dev to libmysqlclient15-dev.
 
+  * Add a patch from Bart Coppens, that should resolve a crash in KMail when
+    viewing exceedingly large mailboxes. (Closes: #347392)
+
  -- Debian Qt/KDE Maintainers <debian-qt-kde at lists.debian.org>  Date
 
 qt-x11-free (3:3.3.5-3) unstable; urgency=low

Modified: trunk/packages/qt-x11-free/debian/patches/00list
===================================================================
--- trunk/packages/qt-x11-free/debian/patches/00list	2006-01-15 23:56:01 UTC (rev 2897)
+++ trunk/packages/qt-x11-free/debian/patches/00list	2006-01-16 00:17:02 UTC (rev 2898)
@@ -12,6 +12,7 @@
 14_fix_kmenu
 15_unify_declarations_glibc
 16_fix_opengl_check
+17_qlistview_crash_iterator
 18_fix_makeqpf_qembed
 22_fix_ftbfs_amd64
 23_qtc_qclipboard_hack

Added: trunk/packages/qt-x11-free/debian/patches/17_qlistview_crash_iterator.dpatch
===================================================================
--- trunk/packages/qt-x11-free/debian/patches/17_qlistview_crash_iterator.dpatch	2006-01-15 23:56:01 UTC (rev 2897)
+++ trunk/packages/qt-x11-free/debian/patches/17_qlistview_crash_iterator.dpatch	2006-01-16 00:17:02 UTC (rev 2898)
@@ -0,0 +1,58 @@
+#! /bin/sh -e
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- qt.orig/src/widgets/qlistview.cpp
++++ qt.patched/src/widgets/qlistview.cpp
+@@ -7568,21 +7568,21 @@
+ 
+ QListViewItemIterator &QListViewItemIterator::operator++()
+ {
+-    if ( !curr )
+-	return *this;
++    do {
++        if ( !curr )
++	    return *this;
+ 
+-    QListViewItem *item = curr->firstChild();
+-    if ( !item ) {
+-	while ( (item = curr->nextSibling()) == 0  ) {
+-	    curr = curr->parent();
+-	    if ( curr == 0 )
+-		break;
++	QListViewItem *item = curr->firstChild();
++	if ( !item ) {
++	    while ( (item = curr->nextSibling()) == 0  ) {
++		curr = curr->parent();
++		if ( curr == 0 )
++		    break;
++	    }
+ 	}
+-    }
+-    curr = item;
+-    // if the next one doesn't match the flags we try one more ahead
+-    if ( curr && !matchesFlags( curr ) )
+-	++( *this );
++	curr = item;
++	// if the next one doesn't match the flags we try one more ahead
++    } while  ( curr && !matchesFlags( curr ) );
+     return *this;
+ }
+ 


Property changes on: trunk/packages/qt-x11-free/debian/patches/17_qlistview_crash_iterator.dpatch
___________________________________________________________________
Name: svn:executable
   + *




More information about the pkg-kde-commits mailing list